#ttx-builder-body {
    background-color: #111111;
    overflow-x: hidden;
    height: 100%;
    font-family: Rubik, sans-serif;
    
}

.unclickable {
    pointer-events: none;
}

@media (min-width: 993px) {
    #ttx-builder-body {
        overflow: visible;
    }
}

#ttx-builder-body h1 {
  font-size: 0;
  margin-bottom: 0;
}

#ttxbuilder-section {
  position: relative;
  z-index: 2;
}

.condition-red {
    color: rgb(255, 93, 93);
}

.condition-yellow {
    color: yellow;
}

.condition-outofstock {
    color: rgb(255, 93, 93);
}

#ttxbuilder {
    max-width: 1900px;
    margin-top: 1.5%;
}

#builderSearchButton:hover {
    background: #651e00;
}

.FadeIn {
    animation: FadeIn 0.5s;
}

@media (min-width: 1500px) {
  #ttxbuilder {
    height: 94.5vh;
  }
}


@media (min-width: 993px) {
    #ttxbuilder #nav-col {
        display: none;
    }

    #ttxbuilder header {
        display: none;
    }
}

#ttxbuilder #announcement-bar {
    display: none;
}

#ttxbuilder header {
    margin-top: -1.5%;
    margin-bottom: 15px;
    padding: 0;
    width: 100%;
}

#ttxbuilder .navbar {
    padding-bottom: 0px;
}

#ttxbuilder .navbar .searchbar {
    display: none;
}

#ttxbuilder .navbar-brand {
    height: 80%;
    margin-inline-start: 10px;
}

#ttxbuilder > .row {
    height: 100%;
}

#ttxbuilder > .row > .col {
  margin-bottom: 25px;
}

@media (min-width: 1500px) {
  #ttxbuilder #main-col {
    width: 29%;
  }
}

@media (min-width: 993px) {
  #ttxbuilder #main-col {
    /*height: 93.5vh;*/
    min-height: 750px;
  }
}

@media (min-width: 1500px) {
  #ttxbuilder #details-col {
    width: 29%;
    order: 3;
  }
}

@media (max-width: 992px) {
    #ttxbuilder #details-col {
        order: 3;
        margin-bottom: 60px;
        width: 100%;
    }
}

@media (max-width: 992px) {
    #ttxbuilder #main-col {
        width: 100%;
    }
}



@media (min-width: 1500px) {
  #ttxbuilder #products-col {
    width: 41%;
    margin-left: 0.5%;
    margin-right: 0.5%;
  }
}

@media (max-width: 1500px) {
  #ttxbuilder #products-col {
    width: 100%;
  }
}

.border-shadow {
  border-radius: 5px;
  box-shadow: inset 0px 0px 13px rgb(44,44,44), 0px 2px 12px rgb(0,0,0);
  background-color: rgba(26,29,32,0.87);
}

@media (max-width: 576px) {
    #ttxbuilder #main-col {
        padding-right: 5px;
        padding-left: 5px;
    }
    #ttxbuilder #details-col {
        padding-right: 5px;
        padding-left: 5px;
    }
    #ttxbuilder #products-col {
        padding-right: 5px;
        padding-left: 5px;
    }
}

/* COLUMN 1 */

/* MAIN WINDOW */

#main {
  padding: 0px;
  margin-bottom: 11px;
  padding-bottom: 0px;
  height: 27.1vh;
  min-height: 220px;
}

#productinfo {
    height: 100%;
    width: 50%;
    justify-content: center;
    align-items: center;
    position: relative;
}

    #productinfo p {
        font-size: clamp(0.8em,1.5vw,1.1em);
        margin-bottom: 5px;
        color: #ddd;
        text-shadow: 0px 0px 15px #ff4500;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

#mobile-exit {
    position: absolute;
    display: none !important;
    height: 25px;
    width: 25px;
    z-index: 10;
    margin: 10px;
    padding: 0;
    justify-content: center;
}
#mobile-exit svg {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-52%) translateY(-52%);
}


@media (max-width: 992px) {
    #mobile-exit {
        display: flex !important;
    }

    #main {
        min-height: 270px;
    }

    #pcimage {
        margin-top: 15px;
    }
}

#heading {
    width: 50%;
    border-inline-start: solid 1px #353535;
    align-items: center;
}

    #heading hr {
        width: 100%;
        margin-top: 0px;
        margin-bottom: 0px;
        color: #717171;
    }


#features {
    height: 65%;
    width: 100%;
    color: rgb(142,145,147);
    margin-top: 5px;
    margin-bottom: 5px;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}

    #features > div {
        width: 100% !important;
        justify-self: center;
    }

#features p {
  font-size: 10px;
  margin-bottom: 0;
}

#features svg, #features i {
  font-size: 30px;
  margin-bottom: 5px;
}

#features .active {
  color: #adff2f;
  filter: drop-shadow(0 0 10px);
}

#pcimage {
    width: 100%;
    object-fit: contain;
    padding-top: 0px;
    padding-bottom: 5px;
    min-height: 0;
}

@media (min-width: 0px) {
  #pcimage {
    filter: drop-shadow(-5px 10px 8px #000);
  }
}

#power {
    height: 35%;
    width: 85%;
    font-size: 30px;
    position: relative;
    padding-bottom: 15px;
}
    #power #powerBarText {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        font-size: 12px;
        text-shadow: 0px 0px 4px rgb(0,0,0);
        font-weight: bold;
        margin-bottom: 0;
    }

    #power svg {
        color: var(--bs-yellow);
        filter: drop-shadow(0 0 10px);
        margin-top: 5px;
        margin-bottom: 5px;
    }

    #power #powerText {
        font-size: 12px;
        margin-bottom: 0px;
        color: var(--bs-yellow);
        text-shadow: 0px 0px 10px rgba(255, 237, 0, 0.53);
        pointer-events: none;
        white-space: nowrap;
        margin-inline-start: 5px;
        margin-top: 3px;
    }

    #power .message {
        display: flex;
        font-size: 26px;
        height: 24px;
        width: 24px;
        inset-inline-end: -17px;
        margin-top: 95px;
        color: #ff1d32;
        background-color: white;
        border-radius: 55%;
        z-index: 5;
        box-shadow: 0px 0px 10px 1px #000000, 0px 0px 10px 1px #ff0000;
        cursor: pointer;
        animation: pulsing4 0.2s forwards;
    }

        #power .message svg {
            color: #ff1d32;
            filter: none;
        }

        #power svg {
          color: var(--bs-yellow);
          filter: drop-shadow(0 0 10px);
        }

@media (max-width: 576px) {
    #power {
        width: 92%;
        position: relative;
    }

        #power svg {
            margin-inline-start: -5px;
        }

        #power .message {
            inset-inline-end: -10px;
            margin-top: 100px;
        }

            #power .message svg {
                margin-inline-start: 0px;
            }

        
}








#power .progress {
  margin-inline-start: 0px;
}


.progress-bar {
    height: 20px;
    transition: all 0.3s; 
}


/* PARTS WINDOW */

#parts {
  width: 100%;
  padding-bottom: 45px;
  text-shadow: 0px 2px 4px rgb(0,0,0);
  min-height: 520px;
}

@media (min-width: 992px) {
    #parts {
        height: 65vh;
    }
}

#parts .tab-content, #parts #builder-tabs, #parts .row {
  height: 100%;
}

#parts .nav {
  padding: 0;
  border-radius: 0px;
}

#parts .nav-item {
  border-radius: 0px;
  border-bottom: 1px solid rgba(255,103,39,0.45);
  position: relative;
}

#parts .nav-item .nav-link {
  border-radius: 0;
  color: rgba(255,255,255,0.74);
  text-transform: uppercase;
  height: clamp(30px,1.8vw,40px);
}

#parts .nav-item .active {
  border-start-end-radius: 5px;
  border-start-start-radius: 5px;
  background: #ff4500;
  color: rgb(0,0,0);
  text-shadow: none;
  font-weight: bold;
}

#parts #tab-1 {
  padding-left: 5px;
  padding-right: 5px;
  padding-top: 5px;
}

#parts .row .col {
  display: flex;
  justify-content: center;
}

.part-box {
    width: 100%;
    margin-right: clamp(3px,1vw,10px);
    margin-left: clamp(3px,1vw,10px);
}


#parts .row .col:last-child {
  width: 100%;
}

.part-box p {
  margin-bottom: 0;
  font-size: 13px;
}

.part-box-title svg {
  height: 30px;
  width: 25px;
  margin-inline-end: 10px;
}


#parts .row .col:last-child .part-box-content img {
  width: 15%;
}

.part-box-title {
    color: #ff814d;
    text-shadow: 0px 0px 10px rgba(255,69,0,0.51);
    pointer-events: none;
    white-space: nowrap;
}

    .part-box-title img {
        max-width: 50px;
        max-height: 15px;
        height: auto;
        object-fit: contain;
        margin-inline-start: auto;
        margin-top: 3px;
    }

.part-box-content {
    position: relative;
    align-items: center;
    background: #222222;
    cursor: pointer;
    box-shadow: 0px 1px 10px rgb(0,0,0);
    border: 1px solid #595959;
    transition: 0.2s;
    text-overflow: clip;
    margin-bottom: 2px;
    height: 7.5vh;
    min-height: 65px;

}

    .part-box-content .text-box {
        display: flex;
        align-items: center;
        font-size: clamp(14px,1vw,16px);
        height: 100%;
        width: 62%;
        overflow: hidden;
        margin-inline-end: 5px;
        margin-inline-start: 5px;
    }

.part-box-content .text-box p {
  font-size: 0.8em;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.part-box-content:hover {
  transform: translateY(-1px);
  border: 1px solid #d6d6d6 !important;
}

    .part-box-content img, .add-on-content img {
        width: 39%;
        height: 100%;
        object-fit: contain;
        padding: 5px;
        font-weight: bold;
        color:crimson;
        
    }



@media (min-width: 0) {
  .part-box-content img, .add-on-content img {
    filter: drop-shadow(0 4px 4px #000);
  }
}

.part-box-content .message {
    display: none;
    margin-top: 70px;
    animation: pulsing4 0.2s forwards;
    z-index: 5000 !important;
    pointer-events: auto;
}

.part-box-content.warning .message {
    display: flex;
    font-size: 26px;
    height: 24px;
    width: 24px;
    inset-inline-end: -12px;
    color: #ffce21;
    background-color: #000000;
    border-radius: 55%;
    z-index: 5;
    box-shadow: 0px 0px 10px 1px #000000;
    cursor: pointer;
}


.part-box-content.incompatible .message {
    display: flex;
    font-size: 26px;
    height: 24px;
    width: 24px;
    inset-inline-end: -12px;
    color: #ff1d32;
    background-color: #ffffff;
    border-radius: 55%;
    z-index: 5;
    box-shadow: 0px 0px 10px 1px #000000, 0px 0px 10px 1px #ff0000;
    cursor: pointer;
}

.part-box-content.out-of-stock .message {
    display: flex;
    font-size: 26px;
    height: 24px;
    width: 24px;
    inset-inline-end: -12px;
    color: #ff1d32;
    background-color: #fff;
    border-radius: 55%;
    z-index: 5;
    box-shadow: 0px 0px 10px 1px #000000, 0px 0px 10px 1px #ff1d32;
    cursor: pointer;
}

#add-ons .part-box-content.warning .message {
    inset-inline-end: -12px;
}


#add-ons .part-box-content.incompatible .message {
    inset-inline-end: -12px;
    position: absolute;
}

#add-ons .part-box-content.out-of-stock .message {
    inset-inline-end: 10px;
    position: absolute !important;
    left: 0;
}


.pulse {
    position: absolute;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    z-index: -1;
    animation: pulsing 2s infinite;
    box-shadow: inset 0px 0px 5px;
    pointer-events: none;
}

.pulse2 {
    position: absolute;
    top: 0;
    left: 50%%;
    height: 50px;
    width: 50px;
    border-radius: 50%;
    z-index: -1;
    box-shadow: inset 0px 0px 5px;
    pointer-events: none;
    opacity: 0;
    transform: translateX(-50%);
}

#features .active .pulse2 {
    color: #adff2f;
    filter: drop-shadow(0 0 10px);
    animation: pulsing2 0.4s forwards;
}

#features .active p {
    color: #adff2f;
    filter: drop-shadow(0 0 10px #adff2f83);
    animation: pulsing3 0.3s forwards;
}


#features > div {
   position: relative;
   width: 50px;
}



@keyframes pulsing {
    0% {
        box-shadow: inset 0px 0px 5px,0px 0px 0px 0px;
        opacity: 0.8;
    }
    100% {
        box-shadow: inset 0px 0px 5px,0px 0px 0px 20px;
        opacity: 0;
    }
}

@keyframes pulsing2 {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    100% {
        transform: scale(2.2);
        opacity: 0;
    }
}

@keyframes pulsing3 {
    0% {
        transform: scale(1.1);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes pulsing4 {
    0% {
        transform: scale(1.3);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes pulsing5 {
    0% {
        transform: scale(1.03);
    }

    100% {
        transform: scale(1);
    }
}



/* ADD-ONS */

#parts #tab-2 {
    padding: 5px;
    padding-inline-start: 7px;
}

#add-ons {
    height: 100%;
    padding: 1.1% 2.1% 0 2.1%;
}

@media (min-width: 993px) {
    #add-ons {
        overflow-y: auto;
        overflow-x: hidden;
        overscroll-behavior: contain;
        position: relative;
    }

    @supports (-moz-appearance:none) {
        #add-ons {
            scrollbar-color: #ff6626 transparent;
            scrollbar-width: thin;
        }
    }
}

#add-ons::-webkit-scrollbar {
  width: 4px;
}

#add-ons::-webkit-scrollbar-thumb {
  background-color: #ff6626;
  border-radius: .4rem;
}

#add-ons p {
  margin-bottom: 0;
}

.add-on {
  margin-bottom: 2.5%;
}

    .add-on .addon-title p {
        font-size: 1.1em;
        color: #ff814d;
        text-shadow: 0px 0px 10px rgba(255,69,0,0.51);
        margin-inline-start: 1%;
    }

    .add-on .addon-title img {
        height: 15px;
        margin-top: 7px;
    }



#tab-2 .part-box-content {
  position: relative;
  font-size: 1em;
  align-items: center;
  background: #222222;
  cursor: pointer;
  box-shadow: 0px 1px 10px rgb(0,0,0);
  border: 1px solid #595959;
  transition: 0.2s;
  height: 8.2vh;
  padding: 0;
}

    #tab-2 .part-box-content .btn {
        position: relative;
        background-color: transparent;
        border-style: none;
        font-size: 1.3em;
        margin-inline-start: 5px;
        margin-inline-end: 3%;
        color: #ff3d3d;
        z-index: 1000;
        
    }

        #tab-2 .part-box-content .btn:hover {
            background-color: rgb(255, 75, 75, 0.44);
        }



#tab-2 .part-box-content img:first-child {
  width: 19%;
}

#tab-2 .part-box-content .btn:active {
  background-color: rgba(0,0,0,0.5);
}

.add-on .add-icon {
  color: #4a4a4a;
  height: 80%;
  width: 15%;
}

.add-on .add-image {
    height: 86%;
    width: 15%;
    filter: invert(30%);
}

.add-on .part-box-content p {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.add-on-tab .message {
    display: flex;
    font-size: 20px;
    height: 18px;
    width: 18px;
    inset-inline-end: 10px;
    color: #ff1d32;
    background-color: #fff;
    border-radius: 55%;
    z-index: 5;
    box-shadow: 0px 0px 10px 0px #000000, 0px 0px 10px 1px #ff1d32;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
}

.add-on-tab .pulse {
    height: 18px;
    width: 18px;
}


/* COLUMN 2 */

/* SHOP */

.collapse-Button {
    display: none;
    background-color: #ff4500;
    font-weight: bold;
    color: black;
    padding: 8px;
    border-radius: 5px;
    font-size: 18px;
    text-decoration: none;
}


.chevron {
    width: 25px;
    height: 25px;
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="currentColor"><path d="M17.6569 16.2427L19.0711 14.8285L12.0001 7.75739L4.92896 14.8285L6.34317 16.2427L12.0001 10.5858L17.6569 16.2427Z" fill="currentColor"></path></svg>');
    background-repeat: no-repeat;
    background-position: center;
}

.collapse-Button.collapsed .chevron {
    background-image: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="currentColor"><path d="M6.34317 7.75732L4.92896 9.17154L12 16.2426L19.0711 9.17157L17.6569 7.75735L12 13.4142L6.34317 7.75732Z" fill="currentColor"></path></svg>');
    background-repeat: no-repeat;
    background-position: center;
}

#shop {
    padding-bottom: 10px;
    min-height: 600px;
}

@media (min-width: 993px) {
    #shop {
        display: flex;
        flex-direction: column;
    }
}


@media (min-width: 1500px) {
  #shop {
    padding-right: 10px;
    padding-left: 10px;
  }
}

#shop > .row {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
}

@media (max-width: 992px) {
    #shop {
        padding-bottom: 0px;
        min-height: unset;
    }

        #shop > .row {
            overflow-y: hidden;
            height: auto;
        }

    .collapse-Button {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    .collapse-Button p {
        margin-bottom: 0px;
        margin-inline-start: 10px;
    }

    .order-total {
        margin-top: 25px;
    }
}



@media (min-width: 1500px) {
    #shop > .row {
        overflow-y: auto;
        overscroll-behavior: contain;
        position: relative;
    }

    @supports (-moz-appearance:none) {
        #shop > .row {
            scrollbar-color: #ff6626 transparent;
            scrollbar-width: thin;
        }
    }
}



@media (min-width: 1500px) {
  #shop > .row::-webkit-scrollbar {
    width: 4px;
  }
}

@media (min-width: 1500px) {
  #shop > .row::-webkit-scrollbar-thumb {
    background-color: #ff6626;
    border-radius: .4rem;
  }
}

#shop .searchbar {
    width: 97.5%;
    box-shadow: 0px 4px 10px rgba(0,0,0,0.55);
    margin-right: auto;
    margin-left: auto;
}

    #shop .searchbar .searchbutton {
        z-index: 30;
    }

#shop .product-box {
  position: relative;
  margin: 10px;
  height: 15.3vh;
  background: #222222;
  border: 1px solid #595959;
  box-shadow: 0px 3px 10px rgba(0,0,0,0.67);
  cursor: pointer;
  text-shadow: 0px 3px 4px rgb(0,0,0);
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.2s;
  min-height: 140px;
  font-size: clamp(12px,1vw,16px);
  
}

#shop .product-box:hover {
  transform: translateY(-1px);
  border: 1px solid #c8c8c8;
}

#shop .product-box p {
  margin-bottom: 0;
}

#shop .product-box img:first-child {
  filter: drop-shadow(0 5px 5px #000);
  height: 100%;
  margin-inline-start: 2%;
  margin-inline-end: 2%;
  width: 23%;
  object-fit: contain;
}

    #shop .product-box .shop-brand {
        position: absolute;
        top: 5px;
        left: 5px;
        right: 5px;
        filter: none;
        max-width: 50px;
        max-height: 17px;
        height: auto;
        object-fit: contain;
    }

#shop .product-box .divider {
  height: 95%;
  width: 1px;
  margin-inline-end: 2%;
  background-color: rgba(67,67,67,0.74);
}

#shop .details p {
    font-size: 0.8em;
    color: #696969;
    text-shadow: none;
}

#shop .details .name {
    font-size: 1.1em;
    color: #dee2e6;
    text-shadow: 0px 0px 11px rgba(255,103,39,0.6), 0px 3px 4px rgb(0,0,0);
}

#shop .BuilderProductPrice p {
    margin-inline-end: 10px;
    font-size: 1.1em;
}

#shop .BuilderProductPrice .builderPrice {
    color: #c2c5c8;
}

#shop .BuilderProductPrice .unitPrice {
    color: #fe3e51;
    text-decoration: line-through;
    text-decoration-thickness: 1px;
    text-decoration-color: rgba(255,33,51,0.44);
    font-size: 1em;
}

#shop .BuilderProductPrice .unitPriceNoCompare {
    color: #c2c5c8;
}

#shop .BuilderProductPrice .difference {
    font-size: 1em;
}




#shop .power-usage p {
    font-size: 1em;
    color: #ff9900;
    margin-bottom: 0px;
    text-shadow: none;
    margin-inline-end: 5px;
}

    #shop .power-usage p:last-child {
        color: #696969;
        font-size: 0.9em;
        margin-top: 2px;
    }

#shop .power-usage svg {
    font-size: 1.2em;
    color: #ff9900;
}

#shop .InStock {
    color: #6bc56b !important;
    margin-top: auto;
}

#shop .OutOfStock {
    color: #D1404A !important;
    margin-top: auto;
}


#shop .misc {
    inset-inline-end: 0;
    inset-block-end: 0px;
}

#shop .product-box .btn {
  background-color: transparent;
  border: none;
  color: #ff4500;
  font-size: 1.3em;
  transition: 0.1s;
}

#shop .product-box .btn:hover {
  scale: 1.2;
}

@media (min-width: 1500px) {
  #shop {
    height: 94.2vh;
  }
}

@media (min-width:1500px) {
  .row-cols-1500-1 > * {
    flex: 0 0 auto;
    width: 100%;
  }
}

/* SELECTED */

#ttxbuilder .selected {
    border-color: var(--bs-primary) !important;
    background: rgba(255,69,0,0.12);
    box-shadow: 0px 0px 10px rgba(255,103,39,0.42);
    animation: pulsing5 0.2s forwards;
    z-index: 5000;
}

/* COLUMN 3 */

/* STATS */

#stats {
    margin-bottom: 10px;
}

    #stats #detailsData {
        height: 100%;
        padding-top: 6px;
        padding-bottom: 0px;
    }

@media (max-width: 992px) {
    #stats {
        overflow-y: hidden;
        margin-bottom: 0px;
    }

        #stats #detailsData {
            overflow-y: hidden;
            height: auto;
        }
}


    @media (min-width: 993px) {
        #stats {
            height: 500px;
            margin-bottom: 15px;
            display: flex;
        }

            #stats #detailsData {
                overflow-y: auto;
                overscroll-behavior: contain;
                position: relative;
            }

        @supports (-moz-appearance:none) {
            #stats #detailsData {
                scrollbar-color: #ff6626 transparent;
                scrollbar-width: thin;
            }
        }

        #stats #detailsData::-webkit-scrollbar {
            width: 3px;
        }

        #stats #detailsData::-webkit-scrollbar-thumb {
            background-color: #ff6626;
            border-radius: .4rem;
        }
    }



    #stats > hr:last-of-type {
        color: rgba(238,236,236,0.45);
        opacity: 1;
        margin: 6px 0 0px 0;
        margin-inline-end: clamp(3px,1vw,10px);
    }

    #stats #detailsData > div:last-of-type hr {
        opacity: 0;
        margin-bottom: 0px;
    }

    #stats .title > p {
        font-size: 1.5em;
        letter-spacing: 2px;
        font-family: Oswald, sans-serif;
        margin: 0;
    }

    #stats .build-number p {
        font-size: 1.2em;
        margin-top: 5%;
        margin-bottom: 0;
        color: #6bc56b;
        margin-inline-end: clamp(3px,1vw,10px);
    }

        #stats .build-number p:last-child {
            margin-inline-end: clamp(3px,1vw,10px);
        }

    #stats .title p:last-child {
        margin-bottom: 0;
    }

#stats .data  {
    width: 100%;
}

    #stats .data p {
        font-size: clamp(12px,2vw,16px);
        margin-bottom: 0;
        color: rgb(133,135,137);
        margin-inline-end: clamp(3px,1vw,10px);
    }

        #stats .data p:first-child {
            white-space: nowrap;
        }

        #stats .data p:last-child {
            color: #ffffff;
            text-align: end;
        }

    #stats .data hr {
        color: rgb(128,130,132);
        margin-top: 4px;
        margin-bottom: 4px;
    }

    .order-total {
        padding-top: 5px;
        padding-bottom: 5px;
    }

        .order-total > div {
            margin-inline-end: auto;
        }


        .order-total > div p:first-child {
            font-size: clamp(14px,2vw,18px);
        }

        .order-total > div p:last-child {
            margin-inline-start: 4px;
            color: rgb(128,130,132);
            font-size: 0.8em;
        }

        .order-total p {
            margin-bottom: 0px;
            margin-inline-start: 10px;
        }

        .order-total #DiscountedPrice {
            font-size: 1.4em;
            color: #ff2133;
            text-decoration: underline;
            text-underline-offset: -35%;
            text-decoration-skip-ink: none;
            font-weight: bold;
            display: none;
        }

        .order-total #FinalPrice {
            font-size: 1.7em;
            margin-inline-end: clamp(3px,1vw,10px);
            color: #ff7c74;
        }

    /* BUTTONS */

    #builder-buttons .btn {
        border-radius: 0;
        width: 30%;
        margin-right: 4px;
        margin-left: 4px;
        margin-top: 3%;
        margin-bottom: 4px;
        font-size: 14px;
        color: #ffffff;
        padding: 6px 3px;
        font-family: 'Oswald';
        text-transform: uppercase;
        letter-spacing: 1px;
        background: rgb(51,51,51);
        border-style: none;
        transition: 0.1s;
        border: solid 1px transparent;
        box-shadow: 3px 3px 5px rgba(0,0,0,0.58);
    }

@media (max-width: 576px) {
    #builder-buttons .btn {
        padding: 6px 0px;
    }
}

    #builder-buttons .btn:hover {
        transform: translateY(-1px);
        border: solid 1px #c8c8c8;
    }

    #builder-buttons svg {
        font-size: 20px;
        margin-bottom: 5px;
        margin-top: 5px;
        color: #ffffff;
    }

    #builder-buttons .btn:nth-child(1) {
        margin-inline-start: 0px;
    }

    #builder-buttons .btn:nth-child(1) {
        width: 230px;
    }

    #builder-buttons .btn:nth-child(3) {
        background: #b10b00;
    }


    #builder-buttons .btn:nth-child(4) {
        width: 100%;
        font-size: 18px;
        background: orangered;
        color: #000000;
        letter-spacing: 2px;
        font-weight: bold;
        margin-inline-end: 0px;
    }

        #builder-buttons .btn:nth-child(4):hover {
            background-color: #b10b00;
            color: white;
            border: solid 1px transparent;
        }

        #builder-buttons .btn:nth-child(4):disabled {
            background-color: #c8c8c8;
        }


    /* Product Modal */

    /* Close Button Part */

    #modal-product {
        padding-right: 0px !important;
        z-index: 100000;
    }

        #modal-product img {
            height: 100%;
            width: 100%;
            object-fit: contain;
            transition: 0.2s;
        }

        #modal-product .btn {
            margin: 2%;
            width: 20%;
        }

        #modal-product hr {
            margin-top: 0;
            margin-bottom: 0;
            width: 100%;
        }

    /* Modal Body */

    #my-keen-slider {
        height: 430px;
    }

        #my-keen-slider img {
            padding: 15px;
        }

    #modal-product .modal-body {
        height: 80vh;
        padding: 3%;
        padding-inline-end: 1%;
        margin-inline-end: 0px;
        overflow-y: overlay;
        overscroll-behavior: contain;
        position: relative;
    }

    @supports (-moz-appearance:none) {
        #modal-product .modal-body {
            scrollbar-color: #ff6626 transparent;
            scrollbar-width: thin;
        }
    }

    #modal-product .modal-body::-webkit-scrollbar {
        width: 17px;
    }

    #modal-product .modal-body::-webkit-scrollbar-thumb {
        background-color: #ff6626;
        border-radius: 10px;
        background-clip: padding-box;
        border: 6px solid transparent;
    }

    @media (min-width: 993px) {
        #modal-product .header > div {
            width: 48%;
        }
    }

    @media (max-width: 993px) {
        #modal-product .header > div {
            width: 100%;
        }
    }

    #modal-product .header-data p:nth-child(2) {
        font-size: clamp(1em,7vw,3em);
        text-shadow: 0px 0px 11px rgba(255,103,39,0.6), 0px 3px 10px rgb(0,0,0);
        line-height: 1.1em;
        margin-bottom: 5px;
    }

    #modal-product .header-data p:nth-child(3) {
        font-size: clamp(0.9em,2vw,1.1em);
    }

    #modal-product .header-data img {
        height: 50px;
        width: fit-content;
    }

    #modal-product .SKU p:first-child {
        margin-top: 10px;
        font-size: 1em;
        margin-inline-end: 5px;
        margin-bottom: 0px;
        font-family: Rubik, sans-serif;
        font-weight: 100;
        color: dimgray;
        text-transform: uppercase;
    }

    #modal-product .SKU p:last-child {
        margin-bottom: 0;
        font-size: 1em;
        text-shadow: none;
        color: dimgray;
    }

    #modal-product .Link p:first-child {
        margin-top: 10px;
        font-size: 1em;
        margin-inline-end: 5px;
        margin-bottom: 0px;
        font-family: Rubik, sans-serif;
        font-weight: 100;
        color: dimgray;
        text-transform: uppercase;
        white-space: nowrap
    }

    #modal-product .Link p:last-child {
        margin-bottom: 0;
        font-size: 1em;
        text-shadow: none;
        color: dimgray;
    }


    /* SPECIFICATION */

    #modal-product .specification {
        margin-top: 50px;
        margin-bottom: 50px;
    }

        #modal-product .specification p:first-child {
            font-size: 2em;
            font-family: 'Oswald';
            margin-bottom: 15px;
            text-transform: uppercase;
        }

        #modal-product .specification hr {
            margin-bottom: 25px;
            color: #ff4500;
            opacity: 1;
        }

        #modal-product .specification tr {
            display: flex;
            flex-grow: 1;
            width: 80%;
        }

        #modal-product .specification td:first-child {
            color: rgb(125, 125, 125);
            width: 60%;
            white-space: wrap;
        }

        #modal-product .specification td:last-child {
            width: 45%;
            white-space: wrap;
        }


        #modal-product .specification td {
            border-style: none;
            display: block;
            flex-grow: 1;
            align-items: center;
            text-align: start;
            text-wrap: nowrap;
            padding-inline-start: 30px;
        }

    @media (max-width: 992px) {

        #modal-product .specification tr {
            width: 100%;
        }

        #modal-product .specification td:first-child {
            color: rgb(125, 125, 125);
            width: 70%;
            font-size: 0.8em;
        }

        #modal-product .specification td:last-child {
            width: 55%;
            font-size: 0.8em;
        }


        #modal-product .specification td {
            padding-inline-start: 10px;
        }
    }

    /* ANIMATION BACKGROUND */

    #builder-background {
        width: 100%;
        top: 0;
        bottom: 0;
        background: linear-gradient(43deg, black 0%, #31261e 100%);
        z-index: 0;
        position: fixed;
    }

        #builder-background .area {
            width: 100%;
            z-index: -1;
        }

        #builder-background .circles {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            overflow: hidden;
        }

            #builder-background .circles li {
                position: absolute;
                display: block;
                list-style: none;
                width: 20px;
                height: 20px;
                background: #ff6626;
                animation: animate2 25s linear infinite;
                bottom: -15%;
                box-shadow: 0px 0px 50px 10px #ff6626;
            }

                #builder-background .circles li:nth-child(1) {
                    left: 25%;
                    width: 20px;
                    height: 20px;
                    animation-delay: 0s;
                }

                #builder-background .circles li:nth-child(2) {
                    left: 10%;
                    width: 25px;
                    height: 25px;
                    animation-delay: 2s;
                    animation-duration: 12s;
                }

                #builder-background .circles li:nth-child(3) {
                    left: 70%;
                    width: 20px;
                    height: 20px;
                    animation-delay: 4s;
                }

                #builder-background .circles li:nth-child(4) {
                    left: 40%;
                    width: 34px;
                    height: 34px;
                    animation-delay: 0s;
                    animation-duration: 18s;
                }

                #builder-background .circles li:nth-child(5) {
                    left: 65%;
                    width: 20px;
                    height: 20px;
                    animation-delay: 0s;
                }

                #builder-background .circles li:nth-child(6) {
                    left: 75%;
                    width: 31px;
                    height: 31px;
                    animation-delay: 3s;
                }

                #builder-background .circles li:nth-child(7) {
                    left: 35%;
                    width: 40px;
                    height: 40px;
                    animation-delay: 7s;
                }

                #builder-background .circles li:nth-child(8) {
                    left: 50%;
                    width: 25px;
                    height: 25px;
                    animation-delay: 15s;
                    animation-duration: 45s;
                }

                #builder-background .circles li:nth-child(9) {
                    left: 20%;
                    width: 15px;
                    height: 15px;
                    animation-delay: 2s;
                    animation-duration: 35s;
                }

                #builder-background .circles li:nth-child(10) {
                    left: 25%;
                    width: 50px;
                    height: 50px;
                    animation-delay: 0s;
                    animation-duration: 11s;
                }

    @keyframes animate2 {
        0% {
            transform: translateY(100px) rotate(0deg);
            opacity: 0;
        }

        10% {
            opacity: 1;
        }

        100% {
            transform: translateY(-950px) rotate(720deg);
            opacity: 0;
        }
    }

    #ttx-builder-backlayout {
        position: fixed;
        z-index: 1;
        height: 100%;
        filter: blur(31px);
        opacity: 0.44;
        top: 0;
        width: 100%;
    }

    #builderLink {
        height: 70px;
        border-radius: 5px;
        border: 1px solid rgb(72,72,72);
        box-shadow: 0px 2px 5px rgb(0,0,0);
        margin-top: 10px;
        padding-inline-start: 10px;
    }

        #builderLink p {
            text-overflow: ellipsis;
        }

        #builderLink button {
            width: 12%;
            min-width: 0;
            height: 60%;
            margin: 0;
            margin-inline-end: 10px;
            margin-inline-start: 5px;
            padding: 0;
        }

        #builderLink svg {
            height: 60%;
            width: 60%;
        }

    @media (min-width: 993px) {
        #modal-product #thumbnails img {
            filter: drop-shadow(0 10px 5px #000);
        }
    }

    @media (min-width: 993px) {
        #modal-product #my-keen-slider img {
            filter: drop-shadow(0 10px 10px #000);
        }
    }

    #modal-product #my-keen-slider {
        background: radial-gradient(#484848 0%, rgba(128,128,128,0) 69%);
        margin-bottom: 11px;
    }

    #modal-product .thumbnail .keen-slider__slide {
        aspect-ratio: 1;
        cursor: pointer;
        background: #313131;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-right: -2.5px;
        margin-left: 0px;
        box-shadow: 0px 4px 10px rgba(0,0,0,0.73);
        border-radius: 5px;
        z-index: 1;
    }

    #modal-product #thumbnails {
        padding-left: 5px;
    }

    #modal-product .thumbnail .pseudo {
        opacity: 0;
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: -1;
    }

    #modal-product .thumbnail .keen-slider__slide.active {
        border: 0.5px solid #ff8126;
    }

        #modal-product .thumbnail .keen-slider__slide.active .pseudo {
            background: -webkit-gradient(linear, left top, left bottom, color-stop(50%, rgb(49,49,49)), to(rgba(255,129,38,0.39)));
            background: linear-gradient(rgb(49,49,49) 50%, rgba(255,129,38,0.39));
            opacity: 1;
            -webkit-transition: opacity 0.4s;
            transition: opacity 0.4s;
        }

    #modal-product .thumbnail .keen-slider__slide img:hover {
        transform: translateY(-5px);
    }


    #modal-product .keen-slider .main-video {
        margin-top: 30px;
        height: calc(100% - 30px);
        width: 100%;
        object-fit: contain;
        transition: 0.2s;
        padding: 5px;
    }

    #modal-product .youtubeThumbnail img {
        filter: none !important;
        object-fit: cover !important;
    }

        #modal-product .youtubeThumbnail img:hover {
            transform: scale(1.05) !important;
        }

    #modal-product .youtubeThumbnail {
        position: relative;
    }

        #modal-product .youtubeThumbnail::after {
            content: '';
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 90px;
            height: 90px;
            background-image: url('data:image/svg+xml,<svg width="205px" height="205px" viewBox="-2.4 -2.4 52.80 52.80" xmlns="http://www.w3.org/2000/svg" fill="%23ff6626" stroke="%23ff6626" transform="rotate(0)matrix(1, 0, 0, 1, 0, 0)" stroke-width="0.00048000000000000007"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round" stroke="%23CCCCCC" stroke-width="0.096"></g><g id="SVGRepo_iconCarrier"><title>play-circle</title><g id="Layer_2" data-name="Layer 2"><g id="invisible_box" data-name="invisible box"><rect width="48" height="48" fill="none"></rect></g><g id="icons_Q2" data-name="icons Q2"><g><path d="M34.6,23.3,18.1,13.2c-.6-.4-1.1-.1-1.1.6V34.2c0,.7.5,1,1.1.6L34.6,24.7A.8.8,0,0,0,34.6,23.3Z"></path><path d="M24,2A22,22,0,1,0,46,24,21.9,21.9,0,0,0,24,2Zm0,40A18,18,0,1,1,42,24,18.1,18.1,0,0,1,24,42Z"></path></g></g></g></g></svg>');
            background-size: contain;
            background-repeat: no-repeat;
            pointer-events: none;
            filter: drop-shadow(2px 2px 2px black);
        }

#modal-product .description img, #modal-product .description video, #modal-product .description iframe {
    max-width: 100% !important;
}



